<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name')->default('john doe');
            $table->string('username')->nullable();
            $table->string('phone')->nullable();
            $table->float('balance')->default(0.0);
            $table->string('address')->nullable();
            $table->string('ip')->default("8.8.8.8");
            $table->string('country')->default('kenya');
            $table->double('wallet')->default(0);
            $table->double('bitcoins')->default(0);
            $table->double('ethereum')->default(0);
            $table->double('litecoin')->default(0);
            $table->double('monero')->default(0);
            $table->string('upline')->default('ceo');
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
};
